=== debian/control ===
Source: qt6-webchannel
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-websockets-dev (>= 6.9.3~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-webchannel.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-webchannel
Maintainer: Neon CI <neon@kde.org>

Package: qt6-webchannel
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6webchannel6, libqt6webchannelquick6, qml6-module-qtwebchannel
Description: Qt 6 WebChannel library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the Qt 6 WebChannel libraries.

Package: qt6-webchannel-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-webchannel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6webchannel6-dev (<< 6.4.2-2~)
Replaces: libqt6webchannel6-dev,
          qt6-webchannel-doc-dev,
          qt6-webchannel-examples
Description: Qt 6 WebChannel library - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtWebChannel library.

Package: qt6-webchannel-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-webchannel-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-webchannel-doc-html
Description: Qt 6 WebChannel library - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebChannel enables peer-to-peer communication between the host (QML/C++
 application) and the client (HTML/JavaScript application). The transport
 mechanism is supported out of the box by the two popular web engines, Qt
 WebKit 2 and Qt WebEngine.
 .
 This package contains the documentation to help build Qt 6 applications
 using the QtWebChannel library.

Package: libqt6webchannel6
Architecture: all
Depends: qt6-webchannel, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6webchannelquick6
Architecture: all
Depends: qt6-webchannel, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtwebchannel
Architecture: all
Depends: qt6-webchannel, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webchannel-doc-dev
Architecture: all
Depends: qt6-webchannel-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webchannel-doc-html
Architecture: all
Depends: qt6-webchannel-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-webchannel-examples
Architecture: all
Depends: qt6-webchannel-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
