## qt6-webchannel 6.10.0

=== debian/changelog ===
qt6-webchannel (6.10.0-0zneon+24.04+noble+stable+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 11:05:54 +0000

qt6-webchannel (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:34:48 +1000
